Subject: Re: [PATCH] spinlock badness in last dongle changes.

From: "David S. Miller" <[email-masked]>
Date: Tue, 7 Oct 2003 08:29:02 -0700

On Mon, 6 Oct 2003 22:26:31 -0700
Stephen Hemminger <[email-masked]> wrote:

> A couple of locking problems happened when converted from using
> hashbin lock outside of irqueue.  First, the lock was never initialized;
> Second, the lock was being unlocked after the hashbin was free.
> 
> Since the hashbin of dongles should be empty (ie all dongle unregistered)
> don't really need locking there, so just warn if we find anything...

Applied, thanks Stephen.

Jean didn't express his opinion, but if he doesn't like the change
we can just put the fix he prefers on top.